For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTAddSkill
        • POSTDelSkill
        • POSTSetSkillInfo
        • POSTGetSkills
        • POSTBindSkill
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferenceSkills

GetSkills

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetSkills
POST
/platform_api/GetSkills
$curl -X POST https://api.voximplant.com/platform_api/GetSkills \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "skill_id": 3,
5 "skill_name": "English"
6 },
7 {
8 "skill_id": 5,
9 "skill_name": "Support"
10 }
11 ],
12 "total_count": 17,
13 "count": 2
14}
Gets the skills of an operator. Works only for ACDv1. For SmartQueue/ACDv2, use <a href="#how-auth-works">this reference</a>. Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`. **Example request:** Get two skills, but skip the first one.
Was this page helpful?
Previous

SetSkillInfo

Next

BindSkill

Built with

Gets the skills of an operator. Works only for ACDv1. For SmartQueue/ACDv2, use this reference.

Allowed roles: Owner, Admin, Developer, Supervisor, User manager.

Example request: Get two skills, but skip the first one.

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

skill_idintegerOptional
The skill ID to filter
skill_namestringOptional
The skill name part to filter
countintegerOptionalDefaults to 20
The max returning record count
offsetintegerOptionalDefaults to 0

The first N records are skipped in the output

Response

Successful response
resultlist of objects
total_countinteger
The total found skill count
countinteger
The returned skill count